LibreOffice: XIeeeDoubleReadOnlyBitmap Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIeeeDoubleReadOnlyBitmap Interface Reference

This is a specialized interface for bitmaps containing IEEE doubles for their color components. More...

Inheritance diagram for XIeeeDoubleReadOnlyBitmap:

## Public Member Functions
sequence< double > | getData ([out] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerRectangle2D rect) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Query the raw data of this bitmap.
sequence< double > | getPixel ([out] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerPoint2D pos) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Get a single pixel of the bitmap, returning its color value.
FloatingPointBitmapLayout | getMemoryLayout ()
| Query the memory layout for this bitmap.
Public Member Functions inherited from XBitmap
::com::sun::star::geometry::IntegerSize2D | getSize ()
| Query the size of the bitmap.
boolean | hasAlpha ()
| Query transparency status of the bitmap.
XBitmap | getScaledBitmap ([in] ::com::sun::star::geometry::RealSize2D newSize, [in] boolean beFast) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Query a scaled copy of the original bitmap.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is a specialized interface for bitmaps containing IEEE doubles for their color components.

In contrast to XIeeeDoubleBitmap, this interface only permits read-only access.

Use this interface for e.g. bitmaps that are calculated on-the-fly, or that are pure functional, and thus cannot be modified.

If you get passed an instance of XHalfFloatReadOnlyBitmap that also supports the XVolatileBitmap interface, things become a bit more complicated. When reading data, one has to check for both VolatileContentDestroyedException and mismatching FloatingPointBitmapLayout return values. If either of them occurs, the whole bitmap read operation should be repeated.

## Member Function Documentation

## ◆ getData()

sequence< double > getData | ( | [out] FloatingPointBitmapLayout | bitmapLayout,
|  | [in] ::com::sun::star::geometry::IntegerRectangle2D | rect
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | VolatileContentDestroyedException
| ) |  |

Query the raw data of this bitmap.

Query the raw data of this bitmap, in the format as defined by getMemoryLayout(). With the given rectangle, a subset of the whole bitmap can be queried. When querying subsets of the bitmap, the same scanline padding takes place as when the whole bitmap is requested.

Note that the bitmap memory layout might change for volatile bitmaps.

Parameters

  bitmapLayout | The memory layout the returned data is in.
  rect | A rectangle, within the bounds of the bitmap, to retrieve the consent from.

Exceptions

  VolatileContentDestroyedException | if the bitmap is volatile, and the content has been destroyed by the system.
  com::sun::star::lang::IndexOutOfBoundsException | if parts of the given rectangle are outside the permissible bitmap area.

## ◆ getMemoryLayout()

FloatingPointBitmapLayout getMemoryLayout | ( |  | ) |

Query the memory layout for this bitmap.

Please note that for volatile bitmaps, the memory layout might change between subsequent calls.

## ◆ getPixel()

sequence< double > getPixel | ( | [out] FloatingPointBitmapLayout | bitmapLayout,
|  | [in] ::com::sun::star::geometry::IntegerPoint2D | pos
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | VolatileContentDestroyedException
| ) |  |

Get a single pixel of the bitmap, returning its color value.

Note that the bitmap memory layout might change for volatile bitmaps.

Parameters

  bitmapLayout | The memory layout the returned data is in.
  pos | A position, within the bounds of the bitmap, to retrieve the color from.

Exceptions

  VolatileContentDestroyedException | if the bitmap is volatile, and the content has been destroyed by the system.
  com::sun::star::lang::IndexOutOfBoundsException | if the given position is outside the permissible bitmap area.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XIeeeDoubleReadOnlyBitmap.idl